import { ReactElement } from 'react';
export type KaCheckBoxProps<T> = {
    checked?: boolean;
    value: T;
    onClick: (value: T) => void;
    size?: 'sm' | 'md' | 'lg';
    disabled?: boolean;
};
export declare const KaCheckBox: <T>({ onClick, value, checked, size, disabled, }: KaCheckBoxProps<T>) => ReactElement;
