import { ReactElement } from 'react';
declare const IconList: readonly ["search", "close"];
type IconType = (typeof IconList)[number];
export interface KaTextInputProps {
    inputProps?: {
        placeholder?: string;
        value?: string;
        onChangeText?: (value: string) => void;
    };
    leftIcon?: IconType | ReactElement;
    rightIcon?: IconType | ReactElement;
    leftUnit?: string;
    rightUnit?: string;
    width?: string;
    disabled?: boolean;
    isError?: boolean;
}
export declare const KaTextInput: ({ leftIcon, rightIcon, leftUnit, rightUnit, width, inputProps, disabled, isError, }: KaTextInputProps) => ReactElement;
export {};
